Subject: Re: bug#27442: Un-obsolete x-clipboard-yank, or provide analogous functional

From: Eli Zaretskii <[email-masked]>
Date: Wed, 21 Jun 2017 22:10:32 +0300

> From: Constantine Kharlamov <[email-masked]>
> Date: Wed, 21 Jun 2017 17:29:40 +0300
> 
> x-clipboard-yank always uses clipboard content, which is exactly what I need. I.e. if I set (setq select-enable-clipboard nil) to not clutter my clipboard with kills, I only get content from the clipboard. (don't get me wrong, kill-ring is very cool, and I extensively use it in evil-mode. But I prefer to explicitly point when I want a content in the clipboard, which happens an order of magnitude rarer than usage of kill-ring).
> 
> clipboard-yank uses a kill-ring instead.

I see the same call to 'yank' in both clipboard-yank and
x-clipboard-yank, so I'm not sure I understand what difference in
behavior you see (you also didn't say which version of Emacs did you
use).  Can you show a reproducible recipe starting from "emacs -Q"
which could be used to see the problem?

Thanks.